Bug 1908926 - Please build log4cxx for EPEL 8
Summary: Please build log4cxx for EPEL 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: log4cxx
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Till Hofmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-18 00:02 UTC by Scott K Logan
Modified: 2021-03-22 00:31 UTC (History)
1 user (show)

Fixed In Version: log4cxx-0.10.0-31.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-22 00:31:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Scott K Logan 2020-12-18 00:02:48 UTC
Description of problem:
log4cxx is on RedHat's list of packages which were dropped between RHEL 7 and RHEL 8. Please consider creating an EPEL 8 branch of the Fedora package.

Additional info:
The CMake 3 version in RHEL 8 is insufficient for building log4cxx using CMake, but I was able to build the non-CMake Fedora 33 package against EPEL 8 without any errors (git checkout f33 && fedpkg --release epel8 mockbuild).

Thanks!

Comment 1 Scott K Logan 2021-01-14 18:15:42 UTC
Hello Till, is there anything I can do to help move forward with this ticket?

Comment 2 Ben Cotton 2021-02-09 15:34:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 3 Till Hofmann 2021-03-07 14:09:28 UTC
I've requested an EPEL8 branch: https://pagure.io/releng/fedora-scm-requests/issue/32598

Comment 4 Fedora Update System 2021-03-07 20:05:08 UTC
FEDORA-EPEL-2021-5a24a424b9 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-5a24a424b9

Comment 5 Fedora Update System 2021-03-07 23:59:57 UTC
FEDORA-EPEL-2021-5a24a424b9 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-5a24a424b9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-03-22 00:31:27 UTC
FEDORA-EPEL-2021-5a24a424b9 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.